#ifndef SYSTEM_STATE_H_
#define SYSTEM_STATE_H_

#include <zephyr/kernel.h>
#include <stdbool.h>

int system_state_wait_for_network(k_timeout_t timeout);
int system_state_wait_for_mqtt(k_timeout_t timeout);
void system_state_set_network_ready(bool ready);
void system_state_set_mqtt_ready(bool ready);

#endif /* SYSTEM_STATE_H_ */
